class Flower {
	constructor(type) {
		this.type = type;
		this.maturity = 0;
		this.maxMaturity = 0;
		this.grown = false;
		this.ordered = false;
	}

	grow() {
		if(!this.isReady()) {
			this.maturity++;
			if(this.grown == false && this.maturity >= this.maxMaturity) {
				this.grown = true;
			}
		}
	}

	isOrdered() {
		return this.ordered;
	}

	isReady() {
		return this.grown;
	}

	setMaxMaturity(maxMaturity) {
		this.maxMaturity = maxMaturity;
	}
}